; Akeeba core engine configuration values
; Copyright (c)2009-2014 Nicholas K. Dionysopoulos

; ======================================================================
; Platform configuration
; ======================================================================

[_group]
description=CONFIG_PLATFORM

; Should we override the site's root?
[akeeba.platform.override_root]
default=0
type=bool
title=CONFIG_PLATFORM_OVERRIDEROOT_TITLE
description=CONFIG_PLATFORM_OVERRIDEROOT_DESCRIPTION

; Which site's root should I use, then?
[akeeba.platform.newroot]
default=""
type=browsedir
title=CONFIG_PLATFORM_NEWROOT_TITLE
description=CONFIG_PLATFORM_NEWROOT_DESCRIPTION

; Should we override the site's database?
[akeeba.platform.override_db]
default=0
type=bool
title=CONFIG_PLATFORM_OVERRIDEDB_TITLE
description=CONFIG_PLATFORM_OVERRIDEDB_DESCRIPTION

; Database driver
[akeeba.platform.dbdriver]
default=mysqli
type=enum
enumkeys="MySQL|MySQLi"
enumvalues="mysql|mysqli"
title=CONFIG_PLATFORM_DBDRIVER_TITLE
description=CONFIG_PLATFORM_DBDRIVER_DESCRIPTION

; Database hostname
[akeeba.platform.dbhost]
default=""
type=string
title=CONFIG_PLATFORM_DBHOST_TITLE
description=CONFIG_PLATFORM_DBHOST_DESCRIPTION

; Database port
[akeeba.platform.dbport]
default=""
type=string
title=CONFIG_PLATFORM_DBPORT_TITLE
description=CONFIG_PLATFORM_DBPORT_DESCRIPTION

; Database username
[akeeba.platform.dbusername]
default=""
type=string
title=CONFIG_PLATFORM_DBUSERNAME_TITLE
description=CONFIG_PLATFORM_DBUSERNAME_DESCRIPTION

; Database password
[akeeba.platform.dbpassword]
default=""
type=password
title=CONFIG_PLATFORM_DBPASSWORD_TITLE
description=CONFIG_PLATFORM_DBPASSWORD_DESCRIPTION

; Database name
[akeeba.platform.dbname]
default=""
type=string
title=CONFIG_PLATFORM_DBDATABASE_TITLE
description=CONFIG_PLATFORM_DBDATABASE_DESCRIPTION

; Database prefix
[akeeba.platform.dbprefix]
default=""
type=string
title=CONFIG_PLATFORM_DBPREFIX_TITLE
description=CONFIG_PLATFORM_DBPREFIX_DESCRIPTION
